Labels

Add a label to a message

Attaches a label to a specific message via a WhatsApp app-state patch. The chat_jid identifies the chat the message belongs to.

POST
/messages/{id}/labels

Attaches a label to a specific message via a WhatsApp app-state patch. The chat_jid identifies the chat the message belongs to.

Authorization

bearerAuth
AuthorizationBearer <token>

Per-user API token (UUID v4) sent as Authorization: Bearer <token>. Identifies the tenant and user.

In: header

Path Parameters

id*string

Message ID (WhatsApp message key id).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Payload for attaching a label to a message.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/messages/3EB0XXXX1234ABCD/labels" \  -H "Content-Type: application/json" \  -d '{    "label_id": "1",    "chat_jid": "5511999999999@s.whatsapp.net"  }'
{  "success": true,  "chat_jid": "5511999999999@s.whatsapp.net",  "message_id": "3EB0XXXX1234ABCD",  "label_id": "1",  "labeled": true}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}
{  "success": false,  "error": "validation failed",  "error_code": "VALIDATION_ERROR",  "timestamp": "2026-06-15T12:00:00Z"}